Find events related to a specific observation, grouped by source and relationship type.
Authorization
apiKey AuthorizationBearer <token>
Use your Lightfast API key (sk-lf-...) as the bearer token. Optionally include X-Workspace-ID header.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://lightfast.ai/v1/related" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{
"data": {
"root": {
"id": "string",
"title": "string",
"source": "string",
"type": "string",
"url": "string",
"occurredAt": "2019-08-24T14:15:22Z"
},
"nodes": [
{
"id": "string",
"title": "string",
"source": "string",
"type": "string",
"url": "string",
"occurredAt": "2019-08-24T14:15:22Z",
"isRoot": true
}
],
"edges": [
{
"source": "string",
"target": "string",
"type": "string",
"linkingKey": "string",
"confidence": 0
}
]
},
"meta": {
"depth": 0,
"nodeCount": 0,
"edgeCount": 0,
"took": 0
},
"requestId": "string"
}Empty
Empty
Empty